Add a --enable-osx-deploy-target option to set the deployment target
authorGuy Harris <guy@alum.mit.edu>
Sat, 6 Jul 2013 16:42:30 +0000 (16:42 -0000)
committerGuy Harris <guy@alum.mit.edu>
Sat, 6 Jul 2013 16:42:30 +0000 (16:42 -0000)
commit519c5affa2f9713a9f196c78ebf44b2308ff4ef1
treeb8643ffb40aaba4a4ddc1b55630b3ce2581c6e45
parent5a744f4afa70c75cc06bbeff5825657876d9c6f2
Add a --enable-osx-deploy-target option to set the deployment target
when building for OS X; that causes the MACOSX_DEPLOYMENT_TARGET
environment variable to be set when building (so that, for example, we
don't use linker features available on the version on which we're
building but not on the minimum OS version for which we're building),
and causes the SDK for that version to be used (so that, for example, we
don't link with libraries with later version numbers than the ones
provided with the OS version for which we're building).

svn path=/trunk/; revision=50410
Makefile.am
configure.ac
packaging/macosx/osx-app.sh